javax.activation

## Class UnsupportedDataTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - javax.activation.UnsupportedDataTypeException

All Implemented Interfaces:
  Serializable

    public class UnsupportedDataTypeException
    extends IOException

Signals that the requested operation does not support the requested data type.

Since:
  1.6
See Also:
  `DataHandler`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnsupportedDataTypeException()` Constructs an UnsupportedDataTypeException with no detail message.
`UnsupportedDataTypeException(String s)` Constructs an UnsupportedDataTypeException with the specified message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnsupportedDataTypeException

    public UnsupportedDataTypeException()

Constructs an UnsupportedDataTypeException with no detail message.

#### UnsupportedDataTypeException

    public UnsupportedDataTypeException(String s)

Constructs an UnsupportedDataTypeException with the specified message.

Parameters:
  `s` - The detail message.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.